
import numpy
import pylab as plt

x = numpy.arange(-5.0,5.0,0.1)
plt.suptitle("Graph of cx**3 for different values of c")

plt.subplot(2,3,1)
plt.plot(x,0.1*x**3)
plt.axis([-5,5,-20,20])
plt.title('c = 0.1')
plt.xlabel('x values')
plt.ylabel('y values')

plt.subplot(2,3,2)
plt.plot(x,0.2*x**3)
plt.axis([-5,5,-20,20])
plt.title('c = 0.2')
plt.xlabel('x values')
plt.ylabel('y values')

plt.subplot(2,3,3)
plt.plot(x,0.5*x**3)
plt.axis([-5,5,-20,20])
plt.title('c = 0.5')
plt.xlabel('x values')
plt.ylabel('y values')

plt.subplot(2,3,4)
plt.plot(x,x**3)
plt.axis([-5,5,-20,20])
plt.title('c = 1')
plt.xlabel('x values')
plt.ylabel('y values')

plt.subplot(2,3,5)
plt.plot(x,2*x**3)
plt.axis([-5,5,-20,20])
plt.title('c = 2')
plt.xlabel('x values')
plt.ylabel('y values')

plt.show()